<!DOCTYPE html>


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Built-in Apps &mdash; Bérou 0.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/basic.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-3.3.4/css/bootstrap.min.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-3.3.4/css/bootstrap-theme.min.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '0.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.4/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="top" title="Bérou 0.1 documentation" href="../index.html" />
    <link rel="up" title="Usage" href="index.html" />
    <link rel="prev" title="Usage" href="index.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body role="document">

  <div id="navbar" class="navbar navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html">
          Bérou</a>
        <span class="navbar-text navbar-version pull-left"><b>0.1</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">Site <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../development/index.html">Development</a></li>
<li class="toctree-l1"><a class="reference internal" href="../deployment/index.html">Deployment</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="index.html">Usage</a></li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">Built-in Apps</a><ul>
<li><a class="reference internal" href="#accounts">Accounts</a><ul>
<li><a class="reference internal" href="#registration">Registration</a></li>
<li><a class="reference internal" href="#login">Login</a></li>
<li><a class="reference internal" href="#logout">Logout</a></li>
<li><a class="reference internal" href="#manage-profile">Manage profile</a><ul>
<li><a class="reference internal" href="#display-profile">Display profile</a></li>
<li><a class="reference internal" href="#edit-profile">Edit profile</a></li>
<li><a class="reference internal" href="#change-password">Change password</a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#application-system">Application System</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
  <li>
    <a href="index.html" title="Previous Chapter: Usage"><span class="glyphicon glyphicon-chevron-left visible-sm"></span><span class="hidden-sm hidden-tablet">&laquo; Usage</span>
    </a>
  </li>
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/usage/builtin_apps.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
    <div class="col-md-12">
      
  <div class="section" id="built-in-apps">
<h1>Built-in Apps<a class="headerlink" href="#built-in-apps" title="Permalink to this headline">¶</a></h1>
<p>Buit-in apps are installed, and don&#8217;t need to be activated by users.
They don&#8217;t appear in the list of apps and can&#8217;t be uninstalled,
unless explicitely removed from <cite>berou/settings.py</cite>.</p>
<div class="section" id="accounts">
<h2>Accounts<a class="headerlink" href="#accounts" title="Permalink to this headline">¶</a></h2>
<p>This application allows users to register, login, logout, and manage their profile.</p>
<div class="section" id="registration">
<h3>Registration<a class="headerlink" href="#registration" title="Permalink to this headline">¶</a></h3>
<p>Registration allows users to create their accounts.
Without an account, it is not possible to activate/deactivate/use apps.</p>
<img alt="Berou" class="align-center" src="../_images/registration.png" />
<p>When the registration is complete, you&#8217;re automatically logged in.
On your home page, you are invited to activate some applications for your profile.</p>
</div>
<div class="section" id="login">
<h3>Login<a class="headerlink" href="#login" title="Permalink to this headline">¶</a></h3>
<p>To access your user account, you need to be logged in.
The login form appears in the header bar, at the top of the page.
The login form is present on all the pages, so you can log in at any time.
If you are trying to access a page that needs the user to be logged in,
you will be redirected to a login page. However, after loging in,
you&#8217;ll be redirected to the page you were trying to access previously.</p>
<img alt="Berou" class="align-center" src="../_images/login.png" />
</div>
<div class="section" id="logout">
<h3>Logout<a class="headerlink" href="#logout" title="Permalink to this headline">¶</a></h3>
<p>The logout button is located in the user menu, at the top-right corner.
Click on your username to expand the menu.</p>
<p>Note: Javascript must be enabled to open the menu.
A link to logout is also available in the footer if you do not have javasript enabled.</p>
<img alt="Berou" class="align-center" src="../_images/user_menu.png" />
</div>
<div class="section" id="manage-profile">
<h3>Manage profile<a class="headerlink" href="#manage-profile" title="Permalink to this headline">¶</a></h3>
<div class="section" id="display-profile">
<h4>Display profile<a class="headerlink" href="#display-profile" title="Permalink to this headline">¶</a></h4>
<p>You can access your profile by clicking on the profile link located in the user menu.
This page shows all your details.</p>
<p>Note: A part from the username/password, the information is not used at all.
It is only used on the profile page, which is not protected (i.e it is a public page)</p>
<img alt="Berou" class="align-center" src="../_images/user_profile.png" />
</div>
<div class="section" id="edit-profile">
<h4>Edit profile<a class="headerlink" href="#edit-profile" title="Permalink to this headline">¶</a></h4>
<p>The edit profile button is available at the top-right corner of the profile panel.
You can edit your personal details on this page.</p>
<p>Note: A part from the username/password, the information is not used at all.
It is only used on the profile page, which is not protected (i.e it is a public page)</p>
<img alt="Berou" class="align-center" src="../_images/edit_user_profile.png" />
</div>
<div class="section" id="change-password">
<h4>Change password<a class="headerlink" href="#change-password" title="Permalink to this headline">¶</a></h4>
<p>It is possible for users to change their passwords
by clicking on the &#8216;Change password&#8217; link on the user profile.</p>
<img alt="Change password form" class="align-center" src="../_images/change_password.png" />
</div>
</div>
</div>
<div class="section" id="application-system">
<h2>Application System<a class="headerlink" href="#application-system" title="Permalink to this headline">¶</a></h2>
<p>The application system is a built-in application,
that allows user to activate/deactivte applications for their profile.
The home page is a list of applications that the user has enabled,
in order to use them.</p>
<img alt="Berou" class="align-center" src="../_images/home1.png" />
<p>You can access the list of applications that you want to use in the <cite>Manage my apps</cite>
link available in the user menu (located in the top-right corner).
This page shows the list of applications available.
It shows the logo, the name and the description of the application.
The user can enable/disable any one of them.</p>
<img alt="Berou" class="align-center" src="../_images/manage_my_apps.png" />
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2015, Francois Ribemont.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.3.1.<br/>
    </p>
  </div>
</footer>
  </body>
</html>